### Hierarchy

- IpcSocketConnectOpts
- SocketConstructorOpts
  - IpcNetConnectOpts

## Index

### Properties

- allowHalfOpen
- fd
- path
- readable
- timeout
- writable

## Properties

### Optional allowHalfOpen

allowHalfOpen: undefined | false | true

Inherited from SocketConstructorOpts.allowHalfOpen

- Defined in node_modules/@types/node/net.d.ts:16

### Optional fd

fd: undefined | number

Inherited from SocketConstructorOpts.fd

- Defined in node_modules/@types/node/net.d.ts:15

### path

path: string

Inherited from IpcSocketConnectOpts.path

- Defined in node_modules/@types/node/net.d.ts:32

### Optional readable

readable: undefined | false | true

Inherited from SocketConstructorOpts.readable

- Defined in node_modules/@types/node/net.d.ts:17

### Optional timeout

timeout: undefined | number

- Defined in node_modules/@types/node/net.d.ts:233

### Optional writable

writable: undefined | false | true

Inherited from SocketConstructorOpts.writable

- Defined in node_modules/@types/node/net.d.ts:18

Generated using TypeDoc